POST/schedule

Create Schedule

This endpoint allows you to create custom schedules for executing review shops at specified dates and times.
POST/schedule

Mandatory Fields

  • scheduleName
  • shopId
  • year
  • month
  • dow
  • day
  • hour
  • minute
  • seconds
  • startDate

Note

All schedules are queued every fifteen minutes. Therefore, jobs scheduled within the current fifteen minutes will run from the next hour.

Parameter Details

NameInTypeRequiredDescription
bodybodyRequirednone

Responses

StatusMeaningDescriptionSchema
201CreatedCreated
400Bad RequestBad RequestNone
401UnauthorizedAuthorization FailedNone
404Not FoundNot foundNone
429Too Many RequestsToo Many RequestsNone
500Internal Server ErrorInternal Server ErrorNone

Example Request

# You can also use wget
curl -X POST /schedule \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: API_KEY'

Body parameter

{
  "scheduleName": "X-Mas",
  "shopId": 1234,
  "year": "*",
  "month": "*",
  "dow": "*",
  "day": "*",
  "hour": "1",
  "minute": "00",
  "seconds": "00",
  "startDate": "2025-05-06",
  "endDate": "2025-05-06"
}

Example responses

201 Response
{
  "message": "Schedule details inserted successfully!",
  "scheduleId": 2233
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.